libsemigroups: Library for semigroups and monoids

Description

C++ library for semigroups and monoids; used in GAP’s package Semigroups.

License

GPL-3.0

Upstream Contact

http://james-d-mitchell.github.io/libsemigroups https://github.com/james-d-mitchell/libsemigroups

Type

optional

Version Information

package-version.txt:

1.1.0

Equivalent System Packages

conda:

$ conda install libsemigroups

freebsd:

$ sudo pkg install math/libsemigroups

opensuse:

$ sudo zypper install "pkgconfig(libsemigroups)"

See https://repology.org/project/libsemigroups/versions

If the system package is installed, ./configure will check whether it can be used.